aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-html-template/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2012-01-03 12:00:27 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2012-01-03 12:00:27 +0000
commit4bb4629073a637a0ad261d76f13f34ab6c8c6555 (patch)
tree6604f20d89c318e959fcb863308f185e2ebc7756 /testing/perl-html-template/APKBUILD
parentdc578918b72901faec985ed2f5ef8c13ca1b7bb3 (diff)
downloadaports-4bb4629073a637a0ad261d76f13f34ab6c8c6555.tar.gz
aports-4bb4629073a637a0ad261d76f13f34ab6c8c6555.tar.bz2
aports-4bb4629073a637a0ad261d76f13f34ab6c8c6555.tar.xz
testing/perl-html-template: new apkbuid
Diffstat (limited to 'testing/perl-html-template/APKBUILD')
-rw-r--r--testing/perl-html-template/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/perl-html-template/APKBUILD b/testing/perl-html-template/APKBUILD
new file mode 100644
index 0000000000..cccbb37e01
--- /dev/null
+++ b/testing/perl-html-template/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-html-template
+_pkgreal=HTML-Template
+pkgver=2.10
+pkgrel=0
+pkgdesc="Perl module to use HTML-like templating language"
+url="http://search.cpan.org/dist/HTML-Template/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/W/WO/WONKO/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="49537aa239ab090698b9e1a0b0be7412 HTML-Template-2.10.tar.gz"